'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * Menu position
 *
 * @mixin
 *
 * Used for calculating an automatic position (used for VSelect)
 * Will position the VMenu content properly over the VSelect
 */
exports.default = {
    methods: {
        // Revisit this
        calculateScroll: function calculateScroll() {
            if (this.selectedIndex === null) return;
            var scrollTop = 0;
            if (this.selectedIndex >= this.stopIndex) {
                scrollTop = this.$refs.content.scrollHeight;
            } else if (this.selectedIndex > this.startIndex) {
                scrollTop = this.selectedIndex * (this.defaultOffset * 6) - this.defaultOffset * 7;
            }
            this.$refs.content.scrollTop = scrollTop;
        },
        calcLeftAuto: function calcLeftAuto() {
            if (this.isAttached) return 0;
            return parseInt(this.dimensions.activator.left - this.defaultOffset * 2);
        },
        calcTopAuto: function calcTopAuto() {
            var selectedIndex = Array.from(this.tiles).findIndex(function (n) {
                return n.classList.contains('v-list__tile--active');
            });
            if (selectedIndex === -1) {
                this.selectedIndex = null;
                return this.computedTop;
            }
            this.selectedIndex = selectedIndex;
            var actingIndex = selectedIndex;
            var offsetPadding = -(this.defaultOffset * 6);
            // #708 Stop index should vary by tile length
            this.stopIndex = this.tiles.length > 4 ? this.tiles.length - 4 : this.tiles.length;
            if (selectedIndex > this.startIndex && selectedIndex < this.stopIndex) {
                actingIndex = 2;
                offsetPadding = -this.defaultOffset;
            } else if (selectedIndex >= this.stopIndex) {
                offsetPadding = -(this.defaultOffset * 5);
                actingIndex = selectedIndex - this.stopIndex;
            }
            return this.computedTop + offsetPadding - actingIndex * (this.defaultOffset * 6) - 1; // for border
        }
    }
};
//# sourceMappingURL=menu-position.js.map